Skip to main content

Get All Quotes

GET 

/v1/crossborder/quotes

Retrieve a list of all crossborder quotes. Optional filter parameters can be used to refine your search.

Request

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [created_at, settlement_date, paid_at, updated_at]

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    client_document string

    Filter by client document.

    status string

    Possible values: [PENDING, CREATED, APPROVED, PAID, SETTLED, FAILED]

    Filter by status.

    base_currency_symbol string

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Filter by base currency (destination currency).

    quote_currency_symbol string

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Filter by quote currency (origin currency).

    settlement_date date-time

    Filter by settlement date (format: YYYY-MM-DD).

    created_at_start date-time

    Start date of the created at period in the format YYYY-MM-DD.

    created_at_end date-time

    End date of the created at period in the format YYYY-MM-DD.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

Responses

Quotes returned successfully.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Quotes data.

  • Array [
  • id stringrequired

    Quote ID.

    status stringrequired

    Possible values: [PENDING, CREATED, APPROVED, PAID, SETTLED, FAILED]

    Status.

    rate objectrequired
    id stringrequired

    Rate ID.

    base_currency_symbol stringrequired

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Base currency symbol.

    base_currency_decimals numberrequired

    Base currency decimals.

    quote_currency_symbol stringrequired

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Quote currency symbol.

    quote_currency_decimals numberrequired

    Quote currency decimals.

    side stringrequired

    Possible values: [BUY, SELL]

    Side.

    price numberrequired

    Price.

    price_decimals numberrequired

    Price decimals.

    fees object[]required

    Fees charged.

  • Array [
  • name stringrequired

    Possible values: [SYSTEM_SPREAD, CLIENT_EXTRA_SPREAD, IOF]

    Fee name.

    fee numberrequired

    Fee.

    fee_format stringrequired

    Possible values: [PERCENTAGE]

    Fee format.

    amount numberrequired

    Fee total amount charged in cents.

    amount_decimals numberrequired

    Amount decimals.

    amount_currency_symbol stringrequired

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Amount currency symbol.

  • ]
  • vet numberrequired

    VET.

    base_currency_amount numberrequired

    Base currency amount in cents.

    quote_currency_amount numberrequired

    Quote currency amount in cents.

    settlement_date_code stringrequired

    Possible values: [D0, D1, D2]

    Settlement date code.

    settlement_date date-timerequired

    Settlement date in YYYY-MM-DD format.

    expires_at date-timerequired

    Expiration date in YYYY-MM-DDTHH:mm:ss.SSSZ format.

    created_at date-timerequired

    Creation date in YYYY-MM-DDTHH:mm:ss.SSSZ format.

    client objectrequired
    id stringrequired

    Client ID.

    name stringrequired

    Client name. For legal entities, the name field corresponds to the legal name.

    email string

    Client email.

    type string

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Client type.

    country object

    Client country.

    phone_number string

    Client phone number.

    document string

    Client document.

    client_account objectrequired
    id stringrequired

    Client account ID.

    account_type string

    Possible values: [CHECKING, SAVINGS]

    Client account type.

    account_number string

    Client account number.

    branch string

    Client branch.

    bank_name string

    Client bank name.

    bank_code string

    Client bank code.

    client_wallet objectrequired
    id stringrequired

    Client wallet ID.

    counterparty objectrequired
    id stringrequired

    Counterparty ID.

    name stringrequired

    Counterparty name. For legal entities, the name field corresponds to the legal name.

    email string

    Counterparty email.

    type string

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Counterparty type.

    country object

    Counterparty country.

    phone_number string

    Counterparty phone number.

    document string

    Counterparty document.

    counterparty_account object
    id stringrequired

    Counterparty account ID.

    account_type string

    Possible values: [CHECKING, SAVINGS]

    Counterparty account type.

    account_number string

    Counterparty account number.

    branch string

    Counterparty branch.

    bank_name string

    Counterparty bank name.

    bank_code string

    Counterparty bank code.

    counterparty_wallet object
    id stringrequired

    Counterparty wallet ID.

    deposit_info objectrequired
    currency_symbol stringrequired

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Currency symbol.

    country_code string

    Possible values: [US, BR, MX, AR, CO, CL, PE, EC, UY, PY]

    Country code.

    type stringrequired

    Possible values: [TED]

    Type.

    details objectrequired

    Beneficiary document.

    quote_documents object[]required

    Quote documents.

  • Array [
  • id stringrequired

    Quote document ID.

    quote_id stringrequired

    Quote ID.

    user_id stringrequired

    User ID.

    wallet_id stringrequired

    Wallet ID.

    file_id string

    File ID.

    name stringrequired

    Document name.

    description string

    Document description.

    type stringrequired

    Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]

    Document type.

    status stringrequired

    Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]

    Document status.

    rejection_reason string

    Document rejection reason.

    created_at date-timerequired

    Document created date.

    updated_at date-timerequired

    Document updated date.

  • ]
  • wallet_owner_name string

    Wallet owner (company) name.

    description string

    Description.

    purpose string

    Purpose of the quote.

    approval_at date-time

    Approval date.

    paid_at date-time

    Paid date.

    settled_at date-time

    Settled date.

    failure_at date-time

    Failure date.

    created_at date-timerequired

    Quote created date.

    updated_at date-timerequired

    Quote updated date.

  • ]
Loading...